import { HorizontalCardListView } from "@fchh/fcos-suite-ui";
import { useState } from "react";
import type { INews } from "@interfaces/INews";

const HorizontalCardListViewWrapper = ({cards, ...rest }) => {
  const [activeTag, setActiveTag] = useState<string>(null);
  const [filteredCards, setFilteredCards] = useState<INews[]>(cards);

  const onTagEnable = (tag: string) => {
    setActiveTag(tag);
    setFilteredCards(cards.filter((card) => card.tags.includes(tag)));
  };
  const onTagDisable = () => {
    setActiveTag(null);
    setFilteredCards(cards);
  }

  return (
    <HorizontalCardListView
      {...rest}
      cards={filteredCards}
      onTagEnable={onTagEnable}
      onTagDisable={onTagDisable}
      activeTags={[activeTag]}
    />
  );
};

export default HorizontalCardListViewWrapper;
